import babelpolyfill from 'babel-polyfill'
import Vue from 'vue'
import App from './App'
import ElementUI from 'element-ui'
// import locale from 'element-ui/lib/locale/lang/en'
import 'element-ui/lib/theme-chalk/index.css'
//import './assets/theme/theme-green/index.css'
import VueRouter from 'vue-router'
import store from './vuex/store'
import Vuex from 'vuex'
//import NProgress from 'nprogress'
//import 'nprogress/nprogress.css'
import routes from './router/index'
import './common/js/interceptor.js'
// import './common/js/filter.js'
// import Mock from './mock'
// Mock.bootstrap();
// import 'font-awesome/css/font-awesome.min.css'

//引入富文本编辑器
import VueQuillEditor from 'vue-quill-editor'
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'


// 引入 图片放大缩小组件
import Viewer from 'v-viewer'
import 'viewerjs/dist/viewer.css'
Vue.use(Viewer)
Viewer.setDefaults({
  Options: { 'inline': true, 'button': true, 'navbar': true, 'title': true, 'toolbar': true, 'tooltip': true, 'movable': true, 'zoomable': true, 'rotatable': true, 'scalable': true, 'transition': true, 'fullscreen': true, 'keyboard': true, 'url': 'data-source' }
})


Vue.use(VueQuillEditor)
Vue.use(ElementUI)
Vue.use(VueRouter)
Vue.use(Vuex)

//NProgress.configure({ showSpinner: false });

const router = new VueRouter({
  //base: '/vue-admin/',  //build时需要加上
  routes
})

router.beforeEach((to, from, next) => {
  //NProgress.start();
  let user = JSON.parse(sessionStorage.getItem('user'));
  if (!user && to.path != '/login' && !/yyyfLoginBack/.test(to.path)) {
    next({path: '/login'})
  } else if (user && to.path == '/login') {
    if (user.userType == 3) {
      next({name: 'Index'})
    } else {
      next({path: '/yyyfLoginBack'})//next()
    }
  } else if (user && user.userType == 3 && to.path == '/yyyfLoginBack') {//学校管理员
    if (to.query && (to.query.userType == 1 || to.query.userType == 2)) {
      next()
    } else {
      next({name: 'Index'})
    }
  } else if (user && (user.userType == 1 || user.userType == 2) && to.path == '/') {
    next({path: '/yyyfLoginBack'})//next({path: '/login'})
  } else {
    next()
  }
})


new Vue({
  //el: '#app',
  //template: '<App/>',
  router,
  store,
  //components: { App }
  render: h => h(App)
}).$mount('#app')

